<?php

namespace app\models;

use Yii;

/**
 * This is the model class for table "proyectodetalle".
 *
 * @property integer $IdProyectoDetalle
 * @property integer $IdProyecto
 * @property string $Campo
 * @property string $Valor
 *
 * @property Proyecto $idProyecto
 */
class Proyectodetalle extends \yii\db\ActiveRecord
{
    /**
     * @inheritdoc
     */
    public static function tableName()
    {
        return 'proyectodetalle';
    }

    /**
     * @inheritdoc
     */
    public function rules()
    {
        return [
            [['IdProyecto'], 'required'],
            [['IdProyecto'], 'integer'],
            [['Valor'], 'string'],
            [['Campo'], 'string', 'max' => 200],
            [['IdProyecto'], 'exist', 'skipOnError' => true, 'targetClass' => Proyecto::className(), 'targetAttribute' => ['IdProyecto' => 'IdProyecto']],
        ];
    }

    /**
     * @inheritdoc
     */
    public function attributeLabels()
    {
        return [
            'IdProyectoDetalle' => 'Id Proyecto Detalle',
            'IdProyecto' => 'Id Proyecto',
            'Campo' => 'Campo',
            'Valor' => 'Valor',
        ];
    }

    /**
     * @return \yii\db\ActiveQuery
     */
    public function getIdProyecto()
    {
        return $this->hasOne(Proyecto::className(), ['IdProyecto' => 'IdProyecto']);
    }
}
